
Imports GrapeCity.ActiveReports
Public Class frmCMR
    Dim CMR As cCMR = Nothing
    Dim ready = False

    Public PDF_Path = ""
    Public CMR_Name = ""
    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub


    Sub New(CMR As cCMR)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.CMR = CMR
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub frmCMR_Load(sender As Object, e As EventArgs) Handles Me.Load
        'EPBES = New cEPBes()
        If CMR Is Nothing Then
            CMR = New cCMR
        Else
            fillData()
        End If


        cboFirma.Items.Clear()
        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG", "VERAG"))
        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATILLA", "ATILLA"))
        cboFirma.changeItem(If(VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA <> "", VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA, "VERAG"))

        If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("ADMIN", Me) Then
            cboFirma.Enabled = True
        End If

        MySearchBox1.initSearchBox(Me.FindForm, " CMR_ID, CMR_Suchbegriff FROM [CMR]", {"CMR_Suchbegriff"}, "", " CMR_Suchbegriff", "CMR_ID", "CMR_Suchbegriff", "FMZOLL", False, 600, 400, {"CMR_ID"})

        AddHandler MySearchBox1.PropertyChanged, Sub()
                                                     '     btnLaden.PerformClick()
                                                 End Sub

        cProgramFunctions.initDrucker(cboPrinter)
        initAusgefertigt()
        ready = True
    End Sub
  


    Private Sub btnLaden_Click(sender As Object, e As EventArgs) Handles btnLaden.Click
        If IsNumeric(MySearchBox1._value) Then
            Dim id = MySearchBox1._value
            resetForm(False)
            CMR = New cCMR(id)
            fillData()
            txtSuchbegriff.Text = CMR.CMR_Suchbegriff
        End If
    End Sub

    Sub fillData()
        ' Dim Environment.NewLine  = ""
        ' uCmr.txtAbsender.Text = ""

        uCmr.txtAbsender.Text = If(CMR.CMR_Absender_1, "")
        uCmr.txtAbsender.Text &= If(CMR.CMR_Absender_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Absender_2, "")
        uCmr.txtAbsender.Text &= If(CMR.CMR_Absender_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Absender_3, "")
        uCmr.txtAbsender.Text &= If(CMR.CMR_Absender_4 IsNot Nothing, Environment.NewLine & CMR.CMR_Absender_4, "")

        uCmr.txtEmpfänger.Text = If(CMR.CMR_Empfänger_1, "")
        uCmr.txtEmpfänger.Text &= If(CMR.CMR_Empfänger_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Empfänger_2, "")
        uCmr.txtEmpfänger.Text &= If(CMR.CMR_Empfänger_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Empfänger_3, "")
        uCmr.txtEmpfänger.Text &= If(CMR.CMR_Empfänger_4 IsNot Nothing, Environment.NewLine & CMR.CMR_Empfänger_4, "")

        uCmr.txtFrachtführer.Text = If(CMR.CMR_Frachtführer_1, "")
        uCmr.txtFrachtführer.Text &= If(CMR.CMR_Frachtführer_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Frachtführer_2, "")
        uCmr.txtFrachtführer.Text &= If(CMR.CMR_Frachtführer_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Frachtführer_3, "")
        uCmr.txtFrachtführer.Text &= If(CMR.CMR_Frachtführer_4 IsNot Nothing, Environment.NewLine & CMR.CMR_Frachtführer_4, "")

        uCmr.txtNachfolgendeFF.Text = If(CMR.CMR_Nachf_Frachtführer_1, "")
        uCmr.txtNachfolgendeFF.Text &= If(CMR.CMR_Nachf_Frachtführer_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Nachf_Frachtführer_2, "")
        uCmr.txtNachfolgendeFF.Text &= If(CMR.CMR_Nachf_Frachtführer_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Nachf_Frachtführer_3, "")
        uCmr.txtNachfolgendeFF.Text &= If(CMR.CMR_Nachf_Frachtführer_4 IsNot Nothing, Environment.NewLine & CMR.CMR_Nachf_Frachtführer_4, "")

        uCmr.txtAuslieferungsort.Text = If(CMR.CMR_Auslieferung_Ort, "")
        uCmr.txtAuslieferungsLand.Text = If(CMR.CMR_Auslieferung_Land, "")


        uCmr.txtOrt.Text = If(CMR.CMR_Übernahme_Ort, "")
        uCmr.txtLand.Text = If(CMR.CMR_Übernahme_Land, "")
        uCmr.txtDatum.Text = If(CMR.CMR_Übernahme_Datum, "")

        uCmr.txtBeigefügteDok.Text = If(CMR.CMR_Dokumente_1, "")
        uCmr.txtBeigefügteDok.Text &= If(CMR.CMR_Dokumente_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Dokumente_2, "")
        uCmr.txtBeigefügteDok.Text &= If(CMR.CMR_Dokumente_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Dokumente_3, "")

        uCmr.txtVorbehalteUndBemerkungen.Text = If(CMR.CMR_Bemerkungen_1, "")
        uCmr.txtVorbehalteUndBemerkungen.Text &= If(CMR.CMR_Bemerkungen_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Bemerkungen_2, "")
        uCmr.txtVorbehalteUndBemerkungen.Text &= If(CMR.CMR_Bemerkungen_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Bemerkungen_3, "")
        uCmr.txtVorbehalteUndBemerkungen.Text &= If(CMR.CMR_Bemerkungen_4 IsNot Nothing, Environment.NewLine & CMR.CMR_Bemerkungen_4, "")
        uCmr.txtVorbehalteUndBemerkungen.Text &= If(CMR.CMR_Bemerkungen_5 IsNot Nothing, Environment.NewLine & CMR.CMR_Bemerkungen_5, "")

        uCmr.txtAnweisungenDesAbsenders.Text = If(CMR.CMR_Anweisungen_1, "")
        uCmr.txtAnweisungenDesAbsenders.Text &= If(CMR.CMR_Anweisungen_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Anweisungen_2, "")
        uCmr.txtAnweisungenDesAbsenders.Text &= If(CMR.CMR_Anweisungen_3 IsNot Nothing, Environment.NewLine & CMR.CMR_Anweisungen_3, "")
        uCmr.txtAnweisungenDesAbsenders.Text &= If(CMR.CMR_Anweisungen_4 IsNot Nothing, Environment.NewLine & CMR.CMR_Anweisungen_4, "")

        ' uCmr.txtAusgefertigtIn.Text = If(CMR.CMR_Ausgefertigt_in, "")
        ' uCmr.txtAusgefertigtAm.Text = If(CMR.CMR_Ausgefertigt_am, "")
        initAusgefertigt()

        uCmr.txtBesondereVereinbarungen.Text = If(CMR.CMR_Vereinbarungen_1, "")
        uCmr.txtBesondereVereinbarungen.Text &= If(CMR.CMR_Vereinbarungen_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Vereinbarungen_2, "")


        uCmr.txtUnterschriftAbsender.Text = If(CMR.CMR_Stempel_Absender_1, "")
        uCmr.txtUnterschriftAbsender.Text &= If(CMR.CMR_Stempel_Absender_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Stempel_Absender_2, "")

        uCmr.txtUnterschriftFrachtführer.Text = If(CMR.CMR_Stempel_Frachtführer_1, "")
        uCmr.txtUnterschriftFrachtführer.Text &= If(CMR.CMR_Stempel_Frachtführer_2 IsNot Nothing, Environment.NewLine & CMR.CMR_Stempel_Frachtführer_2, "")

        uCmr.txtKfz.Text = If(CMR.CMR_Kennzeichen_Kfz, "")
        uCmr.txtKfzKg.Text = If(CMR.CMR_Nutzlast_Kfz, "")
        uCmr.txtAnhänger.Text = If(CMR.CMR_Kennzeichen_Anhänger, "")
        uCmr.txtAnhängerKg.Text = If(CMR.CMR_Nutzlast_Anhänger, "")
        uCmr.cbxKurz.Checked = If(CMR.CMR_TblLangKurz = "K", True, False)
        cboFirma.changeItem(If(CMR.CMR_Firma, "VERAG"))


        If CMR.CMR_TblLangKurz = "K" Then
            For cnt = 0 To uCmr.dgvLadungenKurz.RowCount - 1
                If CMR.CMRPos.Count > cnt Then
                    uCmr.dgvLadungenKurz.Rows(cnt).Cells(0).Value = CMR.CMRPos(cnt).Anzahl
                    uCmr.dgvLadungenKurz.Rows(cnt).Cells(1).Value = CMR.CMRPos(cnt).Art
                    uCmr.dgvLadungenKurz.Rows(cnt).Cells(2).Value = CMR.CMRPos(cnt).Bezeichnung
                    uCmr.dgvLadungenKurz.Rows(cnt).Cells(3).Value = CMR.CMRPos(cnt).Bruttogewicht
                Else
                    For Each c As DataGridViewCell In uCmr.dgvLadungen.Rows(cnt).Cells
                        c.Value = ""
                    Next
                End If
            Next
        Else
            For cnt = 0 To uCmr.dgvLadungen.RowCount - 1
                If CMR.CMRPos.Count > cnt Then
                    uCmr.dgvLadungen.Rows(cnt).Cells(0).Value = CMR.CMRPos(cnt).Zeichen
                    uCmr.dgvLadungen.Rows(cnt).Cells(1).Value = CMR.CMRPos(cnt).Anzahl
                    uCmr.dgvLadungen.Rows(cnt).Cells(2).Value = CMR.CMRPos(cnt).Art
                    uCmr.dgvLadungen.Rows(cnt).Cells(3).Value = CMR.CMRPos(cnt).Bezeichnung
                    uCmr.dgvLadungen.Rows(cnt).Cells(4).Value = CMR.CMRPos(cnt).StatistikNr
                    uCmr.dgvLadungen.Rows(cnt).Cells(5).Value = CMR.CMRPos(cnt).Bruttogewicht
                    uCmr.dgvLadungen.Rows(cnt).Cells(6).Value = CMR.CMRPos(cnt).Umfang
                Else
                    For Each c As DataGridViewCell In uCmr.dgvLadungen.Rows(cnt).Cells
                        c.Value = ""
                    Next
                End If
            Next
        End If
    End Sub

    Sub initAusgefertigt()

        Select Case VERAG_PROG_ALLGEMEIN.cAllgemein.NIEDERLASSUNG
            Case "SUB" : uCmr.txtAusgefertigtIn.Text = "Suben"
            Case "SBG" : uCmr.txtAusgefertigtIn.Text = "Salzburg"
            Case "WAI" : uCmr.txtAusgefertigtIn.Text = "Waidhaus"
            Case "NKD" : uCmr.txtAusgefertigtIn.Text = "Nickelsdorf"
        End Select
        uCmr.txtAusgefertigtAm.Text = Now.ToShortDateString

    End Sub
    Function getData() As cCMR
        '  CMR = New cCMR
        Dim s() As String

        s = uCmr.txtAbsender.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Absender_1 = s(0) Else CMR.CMR_Absender_1 = ""
        If s.Length > 1 Then CMR.CMR_Absender_2 = s(1) Else CMR.CMR_Absender_2 = ""
        If s.Length > 2 Then CMR.CMR_Absender_3 = s(2) Else CMR.CMR_Absender_3 = ""
        If s.Length > 3 Then CMR.CMR_Absender_4 = s(3) Else CMR.CMR_Absender_4 = ""

        s = uCmr.txtEmpfänger.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Empfänger_1 = s(0) Else CMR.CMR_Empfänger_1 = ""
        If s.Length > 1 Then CMR.CMR_Empfänger_2 = s(1) Else CMR.CMR_Empfänger_2 = ""
        If s.Length > 2 Then CMR.CMR_Empfänger_3 = s(2) Else CMR.CMR_Empfänger_3 = ""
        If s.Length > 3 Then CMR.CMR_Empfänger_4 = s(3) Else CMR.CMR_Empfänger_4 = ""

        s = uCmr.txtFrachtführer.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Frachtführer_1 = s(0) Else CMR.CMR_Frachtführer_1 = ""
        If s.Length > 1 Then CMR.CMR_Frachtführer_2 = s(1) Else CMR.CMR_Frachtführer_2 = ""
        If s.Length > 2 Then CMR.CMR_Frachtführer_3 = s(2) Else CMR.CMR_Frachtführer_3 = ""
        If s.Length > 3 Then CMR.CMR_Frachtführer_4 = s(3) Else CMR.CMR_Frachtführer_4 = ""


        s = uCmr.txtNachfolgendeFF.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Nachf_Frachtführer_1 = s(0) Else CMR.CMR_Nachf_Frachtführer_1 = ""
        If s.Length > 1 Then CMR.CMR_Nachf_Frachtführer_2 = s(1) Else CMR.CMR_Nachf_Frachtführer_2 = ""
        If s.Length > 2 Then CMR.CMR_Nachf_Frachtführer_3 = s(2) Else CMR.CMR_Nachf_Frachtführer_3 = ""
        If s.Length > 3 Then CMR.CMR_Nachf_Frachtführer_4 = s(3) Else CMR.CMR_Nachf_Frachtführer_4 = ""

        CMR.CMR_Auslieferung_Ort = uCmr.txtAuslieferungsort.Text
        CMR.CMR_Auslieferung_Land = uCmr.txtAuslieferungsLand.Text

        CMR.CMR_Übernahme_Ort = uCmr.txtOrt.Text
        CMR.CMR_Übernahme_Land = uCmr.txtLand.Text
        CMR.CMR_Übernahme_Datum = uCmr.txtDatum.Text


        s = uCmr.txtBeigefügteDok.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Dokumente_1 = s(0) Else CMR.CMR_Dokumente_1 = ""
        If s.Length > 1 Then CMR.CMR_Dokumente_2 = s(1) Else CMR.CMR_Dokumente_2 = ""
        If s.Length > 2 Then CMR.CMR_Dokumente_3 = s(2) Else CMR.CMR_Dokumente_3 = ""

        s = uCmr.txtVorbehalteUndBemerkungen.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Bemerkungen_1 = s(0) Else CMR.CMR_Bemerkungen_1 = ""
        If s.Length > 1 Then CMR.CMR_Bemerkungen_2 = s(1) Else CMR.CMR_Bemerkungen_2 = ""
        If s.Length > 2 Then CMR.CMR_Bemerkungen_3 = s(2) Else CMR.CMR_Bemerkungen_3 = ""
        If s.Length > 3 Then CMR.CMR_Bemerkungen_4 = s(3) Else CMR.CMR_Bemerkungen_4 = ""
        If s.Length > 4 Then CMR.CMR_Bemerkungen_5 = s(4) Else CMR.CMR_Bemerkungen_5 = ""

        s = uCmr.txtAnweisungenDesAbsenders.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Anweisungen_1 = s(0) Else CMR.CMR_Anweisungen_1 = ""
        If s.Length > 1 Then CMR.CMR_Anweisungen_2 = s(1) Else CMR.CMR_Anweisungen_2 = ""
        If s.Length > 2 Then CMR.CMR_Anweisungen_3 = s(2) Else CMR.CMR_Anweisungen_3 = ""
        If s.Length > 3 Then CMR.CMR_Anweisungen_4 = s(3) Else CMR.CMR_Anweisungen_4 = ""

        CMR.CMR_Ausgefertigt_in = uCmr.txtAusgefertigtIn.Text
        CMR.CMR_Ausgefertigt_am = uCmr.txtAusgefertigtAm.Text

        s = uCmr.txtBesondereVereinbarungen.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Vereinbarungen_1 = s(0) Else CMR.CMR_Vereinbarungen_1 = ""
        If s.Length > 1 Then CMR.CMR_Vereinbarungen_2 = s(1) Else CMR.CMR_Vereinbarungen_2 = ""

        s = uCmr.txtUnterschriftAbsender.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Stempel_Absender_1 = s(0) Else CMR.CMR_Stempel_Absender_1 = ""
        If s.Length > 1 Then CMR.CMR_Stempel_Absender_2 = s(1) Else CMR.CMR_Stempel_Absender_2 = ""

        s = uCmr.txtUnterschriftFrachtführer.Lines '.Split(Environment.NewLine)
        If s.Length > 0 Then CMR.CMR_Stempel_Frachtführer_1 = s(0) Else CMR.CMR_Stempel_Frachtführer_1 = ""
        If s.Length > 1 Then CMR.CMR_Stempel_Frachtführer_2 = s(1) Else CMR.CMR_Stempel_Frachtführer_2 = ""

        CMR.CMR_Kennzeichen_Kfz = uCmr.txtKfz.Text
        CMR.CMR_Nutzlast_Kfz = uCmr.txtKfzKg.Text
        CMR.CMR_Kennzeichen_Anhänger = uCmr.txtAnhänger.Text
        CMR.CMR_Nutzlast_Anhänger = uCmr.txtAnhängerKg.Text
        CMR.CMR_Firma = If(cboFirma._value, "VERAG")
        CMR.CMR_TblLangKurz = If(uCmr.cbxKurz.Checked, "K", "L")

        CMR.CMRPos.Clear()
        If uCmr.cbxKurz.Checked Then
            CMR._kurz = True
            For Each r As DataGridViewRow In uCmr.dgvLadungenKurz.Rows
                If r IsNot Nothing Then
                    Dim pos As New cCMRPos
                    'pos.Zeichen = getvalueDGVCell(r.Cells(0))
                    pos.Anzahl = getvalueDGVCell(r.Cells(0))
                    pos.Art = getvalueDGVCell(r.Cells(1))
                    pos.Bezeichnung = getvalueDGVCell(r.Cells(2))
                    '  pos.StatistikNr = getvalueDGVCell(r.Cells(4))
                    pos.Bruttogewicht = getvalueDGVCell(r.Cells(3))
                    '  pos.Umfang = getvalueDGVCell(r.Cells(6))
                    CMR.CMRPos.Add(pos)
                End If
            Next
        Else
            CMR._kurz = False
            For Each r As DataGridViewRow In uCmr.dgvLadungen.Rows
                If r IsNot Nothing Then
                    Dim pos As New cCMRPos
                    pos.Zeichen = getvalueDGVCell(r.Cells(0))
                    pos.Anzahl = getvalueDGVCell(r.Cells(1))
                    pos.Art = getvalueDGVCell(r.Cells(2))
                    pos.Bezeichnung = getvalueDGVCell(r.Cells(3))
                    pos.StatistikNr = getvalueDGVCell(r.Cells(4))
                    pos.Bruttogewicht = getvalueDGVCell(r.Cells(5))
                    pos.Umfang = getvalueDGVCell(r.Cells(6))
                    CMR.CMRPos.Add(pos)
                End If
            Next
        End If

        Return CMR
    End Function


    Function getvalueDGVCell(c As DataGridViewCell)
        If c Is Nothing Then Return ""
        If c.Value Is Nothing Then Return ""
        Return c.Value.ToString()
    End Function

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Me.Cursor = Cursors.WaitCursor
        Dim id = getData()
        Dim rpt As New rptCMR(id)

        rpt.Run(False)
        ' If Printername = "" Then rpt.Dispose() : Exit Sub
        rpt.Document.Printer.PrinterName = cboPrinter.Text
        rpt.Document.Printer.PrinterSettings.Copies = If(IsNumeric(txtAnzahlKopien.Text), CInt(txtAnzahlKopien.Text), 1)
        rpt.Document.Print(CBool(cboPrinter.Text = ""), False)
        rpt.Dispose()

        Me.Cursor = Cursors.Default
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Me.Cursor = Cursors.WaitCursor
        Try
            If txtSuchbegriff.Text = "" Then MsgBox("Suchbegriff eingeben!") : Me.Cursor = Cursors.Default : Exit Sub
            getData()
            If CMR.CMR_ID > 0 And CMR.CMR_Suchbegriff = txtSuchbegriff.Text Then
                Select Case MsgBox("Möchten Sie das aktuelle Formular überschreiben?" & Environment.NewLine & CMR.CMR_Suchbegriff, vbYesNo)
                    Case MsgBoxResult.Yes

                        If CMR.SAVE() Then
                            lblGespeichert.Visible = True
                            timerSave.Enabled = True
                        End If
                    Case MsgBoxResult.No
                        Me.Cursor = Cursors.Default : Exit Sub
                        ' Case MsgBoxResult.Cancel
                        '     Exit Sub
                End Select
            Else
                'MsgBox(CMR.CMR_Firma)
                CMR = New cCMR
                doSave()
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        Me.Cursor = Cursors.Default
    End Sub


    Private Sub doSave()
        getData()
        Dim tmpCMR As cCMR = CMR
        'tmpCMR.CMR_ID = tmpCMR.getMaxId
        tmpCMR.CMR_Suchbegriff = txtSuchbegriff.Text
        If tmpCMR.SAVE() Then
            'initCBO()
            lblGespeichert.Visible = True
            timerSave.Enabled = True
            CMR = tmpCMR
        End If
    End Sub
    Private Sub txtSuchbegriff_TextChanged(sender As Object, e As EventArgs) Handles txtSuchbegriff.TextChanged

    End Sub

    Private Sub frmCMR_Shown(sender As Object, e As EventArgs) Handles Me.Shown
        Me.Height = My.Computer.Screen.WorkingArea.Height
        Me.Top = 0
        uCmr.Dock = DockStyle.Fill
        MySearchBox1.Focus()
    End Sub

    Private Sub timerSave_Tick(sender As Object, e As EventArgs) Handles timerSave.Tick
        lblGespeichert.Visible = False
        lblGelöscht.Visible = False
        timerSave.Enabled = False
    End Sub

    '  Private Sub cboSearch_KeyDown(sender As Object, e As KeyEventArgs) Handles cboSearch.KeyDown
    '      If e.KeyCode = Keys.Return Then
    '         btnLaden.PerformClick()
    '     End If
    ' End Sub


    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles btnDelete.Click
        If CMR.CMR_ID > 0 Then
            Select Case MsgBox("Möchten Sie die aktuelle Vorlage wirkliche löschen?" & Environment.NewLine & CMR.CMR_Suchbegriff, vbYesNo)
                Case MsgBoxResult.Yes
                    CMR.DELETE()
                    ' initCBO()
                    resetForm(True)
                    lblGelöscht.Visible = True
                    timerSave.Enabled = True
                Case MsgBoxResult.No
                    Exit Sub
            End Select
        End If
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles btnNeu.Click
        'If cboSearch._value <> "" Then
        resetForm(True)

        ' End If
    End Sub
    Sub resetForm(resetTxt)
        CMR = New cCMR()
        fillData()
        For Each r As DataGridViewRow In uCmr.dgvLadungen.Rows
            For Each c In r.Cells
                c.Value = ""
            Next
        Next
        For Each r As DataGridViewRow In uCmr.dgvLadungenKurz.Rows
            For Each c In r.Cells
                c.Value = ""
            Next
        Next
        If resetTxt Then
            MySearchBox1.SET_VALUE("")
            MySearchBox1.Text = ""
            txtSuchbegriff.Text = ""
        End If
    End Sub

    Private Sub uCmr_Load(sender As Object, e As EventArgs) Handles uCmr.Load

    End Sub

    Private Sub Button3_Click_1(sender As Object, e As EventArgs) Handles btnCMRtoAkt.Click
        Me.Cursor = Cursors.WaitCursor
        Try

            Dim id = getData()
            Dim rpt As New rptCMR(id)

            Dim tmpPath = VERAG_PROG_ALLGEMEIN.DATENVERVER_OPTIONS.getTMPPath("CMR.pdf", ".pdf", , False)
            Dim p As New GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport
            rpt.Run(False)
            p.NeverEmbedFonts = ""
            p.Export(rpt.Document, tmpPath)
            ' Process.Start(tmpPath)
            PDF_Path = tmpPath
            '  MsgBox(PDF_Path)
            Me.DialogResult = DialogResult.OK
            Me.Cursor = Cursors.Default
            Me.Close()

        Catch ex As Exception

        End Try
        Me.Cursor = Cursors.Default
    End Sub

    '  Private Sub cboFirma_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboFirma.SelectedIndexChanged
    '  If ready Then initCBO()
    ' End Sub


End Class